# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sling.testing.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`CHARSET_UTF8`
`"utf-8"`
`public static final String`
`DEFAULT_PASSWORD`
`"admin"`
`public static final String`
`DEFAULT_URL`
`"http://localhost:8080/"`
`public static final String`
`DEFAULT_USERNAME`
`"admin"`
`public static final String`
`EXPECTED_STATUS`
`"expected_status"`
`public static final String`
`OSGI_CONSOLE`
`"/system/console"`
`public static final String`
`PARAMETER_CHARSET`
`"_charset_"`

org.apache.sling.testing.clients.SlingClient
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_CONNECTION_TIMEOUT_PROP`
`"sling.client.connection.timeout.seconds"`
`public static final String`
`DEFAULT_NODE_TYPE`
`"sling:OrderedFolder"`
`public static final String`
`SUDO_COOKIE_NAME`
`"sling.sudo.cookie.name"`
org.apache.sling.testing.clients.SlingHttpResponse
Modifier and Type
Constant Field
Value
`public static final String`
`CHANGE_LOG`
`"ChangeLog"`
`public static final String`
`LOCATION`
`"Location"`
`public static final String`
`MESSAGE`
`"Message"`
`public static final String`
`PARENT_LOCATION`
`"ParentLocation"`
`public static final String`
`PATH`
`"Path"`
`public static final String`
`REFERER`
`"Referer"`
`public static final String`
`STATUS`
`"Status"`
org.apache.sling.testing.clients.SystemPropertiesConfig
Modifier and Type
Constant Field
Value
`public static final String`
`CLIENT_USERAGENT_NAME`
`"client.useragent.name"`
`public static final String`
`CLIENT_USERAGENT_USEVERSION`
`"client.useragent.useversion"`
`public static final String`
`CONFIG_PROP_PREFIX`
`"sling.it."`
`public static final String`
`HTTP_DELAY_PROP`
`"http.delay"`
`public static final String`
`HTTP_LOG_RETRIES_PROP`
`"http.logRetries"`
`public static final String`
`HTTP_RETRIES_DELAY_PROP`
`"http.retriesDelay"`
`public static final String`
`HTTP_RETRIES_ERROR_CODES_PROP`
`"http.retriesErrorCodes"`
`public static final String`
`HTTP_RETRIES_PROP`
`"http.retries"`

org.apache.sling.testing.clients.email.EmailMessage
Modifier and Type
Constant Field
Value
`public static final String`
`HEADER_FROM`
`"From"`
`public static final String`
`HEADER_SUBJECT`
`"Subject"`
`public static final String`
`HEADER_TO`
`"To"`

org.apache.sling.testing.clients.indexing.IndexingClient
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_INDEXER_CONFIG`
`"org.apache.jackrabbit.oak.plugins.index.AsyncIndexerService"`

org.apache.sling.testing.clients.instance.InstanceConfiguration
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ADMIN_PASSWORD`
`"admin"`
`public static final String`
`DEFAULT_ADMIN_USER`
`"admin"`
org.apache.sling.testing.clients.instance.InstanceSetup
Modifier and Type
Constant Field
Value
`public static final String`
`INSTANCE_CONFIG_ADMINPASSWORD`
`"sling.it.instance.adminPassword."`
`public static final String`
`INSTANCE_CONFIG_ADMINUSER`
`"sling.it.instance.adminUser."`
`public static final String`
`INSTANCE_CONFIG_INSTANCES`
`"sling.it.instances"`
`public static final String`
`INSTANCE_CONFIG_RUNMODE`
`"sling.it.instance.runmode."`
`public static final String`
`INSTANCE_CONFIG_URL`
`"sling.it.instance.url."`

org.apache.sling.testing.clients.interceptors.TestDescriptionInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`TEST_CLASS_HEADER`
`"X-Sling-TestClass"`
`public static final String`
`TEST_NAME_HEADER`
`"X-Sling-TestName"`
org.apache.sling.testing.clients.interceptors.UserAgentInterceptor
Modifier and Type
Constant Field
Value
`public static final String`
`USER_AGENT_HEADER`
`"User-Agent"`

org.apache.sling.testing.clients.osgi.BundlesInstaller
Modifier and Type
Constant Field
Value
`public static final String`
`ACTIVE_STATE`
`"active"`
org.apache.sling.testing.clients.osgi.OsgiConsoleClient
Modifier and Type
Constant Field
Value
`public static final String`
`JSON_KEY_DATA`
`"data"`
`public static final String`
`JSON_KEY_ID`
`"id"`
`public static final String`
`JSON_KEY_STATE`
`"state"`
`public static final String`
`JSON_KEY_VERSION`
`"version"`

org.apache.sling.testing.clients.query.servlet.QueryServlet
Modifier and Type
Constant Field
Value
`public static final String`
`SERVLET_NAME`
`"sling.testing.clients.query.servlet"`
`public static final String`
`SERVLET_PATH`
`"/system/testing/query"`

org.apache.sling.testing.clients.util.FormEntityBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ENCODING`
`"UTF-8"`
org.apache.sling.testing.clients.util.TimeoutsProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_TIMEOUT_MULTIPLIER`
`"sling.testing.timeout.multiplier"`
org.apache.sling.testing.clients.util.UniquePaths
Modifier and Type
Constant Field
Value
`public static final String`
`SEP`
`"_"`
`public static final String`
`U_PATTERN`
`"_UNIQ_"`
org.apache.sling.testing.clients.util.URLParameterBuilder
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_ENCODING`
`"UTF-8"`

org.apache.sling.testing.timeouts.TimeoutsProvider
Modifier and Type
Constant Field
Value
`public static final String`
`PROP_TIMEOUT_MULTIPLIER`
`"sling.testing.timeout.multiplier"`